Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Pyopengl eompile crash
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Lechium
Apprentice
Apprentice


Joined: 04 Apr 2005
Posts: 244

PostPosted: Thu Jul 06, 2006 9:50 am    Post subject: Pyopengl eompile crash Reply with quote

Hi,

I am still stuck at revdep-rebuild step of upgrading to modular Xorg =(

Anyhow this particular bug happens on pyopengl package, and since it doesnt rebuild everything else is going to hell...

This error message is what I got by doing revdep-rebuild 2> crash_log. Any suggestions?

thanks,
Victor

[code=Error Message]>>> Regenerating /etc/ld.so.cache...
/usr/lib/python2.4/distutils/dist.py:222: UserWarning: 'licence' distribution option is deprecated; use 'license'
warnings.warn(msg)
unable to execute swig: No such file or directory
warning: build_w: Can't find SWIG, will just have to do with the existing wrapper source.
`-mcpu=' is deprecated. Use `-mtune=' or '-march=' instead.
In file included from _configtest.c:4:
src/config.h:74:20: GL/glu.h: No such file or directory
Traceback (most recent call last):
File "/var/tmp/portage/pyopengl-2.0.0.44/work/PyOpenGL-2.0.0.44/setup/build_py.py", line 60, in run
src = os.path.join(os.path.splitext(file)[0]+ '.%04x.py' % int(open('api_version').read()))
IOError: [Errno 2] No such file or directory: 'api_version'
`-mcpu=' is deprecated. Use `-mtune=' or '-march=' instead.
In file included from _configtest.c:4:
src/config.h:74:20: GL/glu.h: No such file or directory
Traceback (most recent call last):
File "/var/tmp/portage/pyopengl-2.0.0.44/work/PyOpenGL-2.0.0.44/setup/build_py.py", line 60, in run
src = os.path.join(os.path.splitext(file)[0]+ '.%04x.py' % int(open('api_version').read()))
IOError: [Errno 2] No such file or directory: 'api_version'
`-mcpu=' is deprecated. Use `-mtune=' or '-march=' instead.
In file included from src/interface_util/interface_util.c:1:
src/interface_util/../config.h:74:20: GL/glu.h: No such file or directory
error: command 'i686-pc-linux-gnu-gcc' failed with exit status 1

!!! ERROR: dev-python/pyopengl-2.0.0.44 failed.
Call stack:
ebuild.sh, line 1539: Called dyn_compile
ebuild.sh, line 939: Called src_compile
ebuild.sh, line 1248: Called distutils_src_compile
distutils.eclass, line 38: Called die

!!! compilation failed
!!! If you need support, post the topmost build error, and the call stack if relevant.[/code]
_________________
Child - Noun. Pronunciation Key: (chld)
Plural: chil·dren (chldrn)

1. An emergency food supply
2. ....
Back to top
View user's profile Send private message
feivelda
Guru
Guru


Joined: 21 Feb 2005
Posts: 480
Location: Frankfurt, Germany

PostPosted: Thu Jul 06, 2006 11:01 am    Post subject: Reply with quote

You need mesa, because of the missing GL/glu.h.
You also need swig.

So do an
Code:
emerge swig mesa --oneshot

After that, continue with your revdep-rebuild
Back to top
View user's profile Send private message
Pyrates
n00b
n00b


Joined: 29 Apr 2004
Posts: 69

PostPosted: Tue Sep 05, 2006 8:58 am    Post subject: Reply with quote

I've got a similar problem with this package:

Code:
Calculating dependencies... done!
>>> Emerging (1 of 1) dev-python/pyopengl-2.0.0.44 to /
>>> checking ebuild checksums ;-)
>>> checking auxfile checksums ;-)
>>> checking miscfile checksums ;-)
>>> checking PyOpenGL-2.0.0.44.tar.gz ;-)
>>> Unpacking source...
>>> Unpacking PyOpenGL-2.0.0.44.tar.gz to /var/tmp/portage/pyopengl-2.0.0.44/work
 * Applying config.diff ...                                               [ ok ]
 * Applying pyopengl-2.0.0.44-fix_togl.patch ...                          [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/pyopengl-2.0.0.44/work/PyOpenGL-2.0.0.44 ...
/usr/lib/python2.4/distutils/dist.py:222: UserWarning: 'licence' distribution option is deprecated; use 'license'
  warnings.warn(msg)
running build
running build_w
swig -version

SWIG Version 1.3.25
Copyright (c) 1995-1998
University of Utah and the Regents of the University of California
Copyright (c) 1998-2005
University of Chicago
Compiled with i686-pc-linux-gnu-g++ [i686-pc-linux-gnu]

Please see http://www.swig.org for reporting bugs and further information
running build_py
i686-pc-linux-gnu-gcc -pthread -fno-strict-aliasing -DNDEBUG -O2 -march=athlon-xp -fomit-frame-pointer -fPIC -DGLX_PLATFORM -DNUMERIC -I/usr/include -I/usr/local/include -I/usr/X11R6/include -I/usr/lib/tk8.4/include -I/usr/include/python2.4/numarray -I/usr/include/python2.4/Numeric -Isrc/gle/src -I/usr/include/python2.4 -c _configtest.c -o _configtest.o
In file included from /usr/include/python2.4/numarray/arrayobject.h:20,
                 from src/config.h:124,
                 from _configtest.c:5:
/usr/include/python2.4/numarray/arraybase.h:27: error: two or more data types in declaration specifiers
/usr/include/python2.4/numarray/arraybase.h:27: warning: useless type name in empty declaration
removing: _configtest.c _configtest.o
Traceback (most recent call last):
  File "/var/tmp/portage/pyopengl-2.0.0.44/work/PyOpenGL-2.0.0.44/setup/build_py.py", line 60, in run
    src = os.path.join(os.path.splitext(file)[0]+ '.%04x.py' % int(open('api_version').read()))
IOError: [Errno 2] No such file or directory: 'api_version'
i686-pc-linux-gnu-gcc -pthread -fno-strict-aliasing -DNDEBUG -O2 -march=athlon-xp -fomit-frame-pointer -fPIC -DGLX_PLATFORM -DNUMERIC -I/usr/include -I/usr/local/include -I/usr/X11R6/include -I/usr/lib/tk8.4/include -I/usr/include/python2.4/numarray -I/usr/include/python2.4/Numeric -Isrc/gle/src -I/usr/include/python2.4 -c _configtest.c -o _configtest.o
In file included from /usr/include/python2.4/numarray/arrayobject.h:20,
                 from src/config.h:124,
                 from _configtest.c:5:
/usr/include/python2.4/numarray/arraybase.h:27: error: two or more data types in declaration specifiers
/usr/include/python2.4/numarray/arraybase.h:27: warning: useless type name in empty declaration
removing: _configtest.c _configtest.o
Traceback (most recent call last):
  File "/var/tmp/portage/pyopengl-2.0.0.44/work/PyOpenGL-2.0.0.44/setup/build_py.py", line 60, in run
    src = os.path.join(os.path.splitext(file)[0]+ '.%04x.py' % int(open('api_version').read()))
IOError: [Errno 2] No such file or directory: 'api_version'
creating build
creating build/lib.linux-i686-2.4
creating build/lib.linux-i686-2.4/OpenGL
copying OpenGL/__init__.py -> build/lib.linux-i686-2.4/OpenGL
copying OpenGL/quaternion.py -> build/lib.linux-i686-2.4/OpenGL
copying OpenGL/trackball.py -> build/lib.linux-i686-2.4/OpenGL
creating build/lib.linux-i686-2.4/OpenGL/Tk
copying OpenGL/Tk/__init__.py -> build/lib.linux-i686-2.4/OpenGL/Tk
creating build/lib.linux-i686-2.4/OpenGL/GLX
copying OpenGL/GLX/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GLX
creating build/lib.linux-i686-2.4/OpenGL/GLX/_3DFX
copying OpenGL/GLX/_3DFX/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GLX/_3DFX
copying OpenGL/GLX/_3DFX/multisample.py -> build/lib.linux-i686-2.4/OpenGL/GLX/_3DFX
creating build/lib.linux-i686-2.4/OpenGL/GLX/SGIS
copying OpenGL/GLX/SGIS/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GLX/SGIS
copying OpenGL/GLX/SGIS/multisample.py -> build/lib.linux-i686-2.4/OpenGL/GLX/SGIS
creating build/lib.linux-i686-2.4/OpenGL/GLX/EXT
copying OpenGL/GLX/EXT/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GLX/EXT
copying OpenGL/GLX/EXT/multisample.py -> build/lib.linux-i686-2.4/OpenGL/GLX/EXT
creating build/lib.linux-i686-2.4/OpenGL/GLX/ARB
copying OpenGL/GLX/ARB/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GLX/ARB
copying OpenGL/GLX/ARB/multisample.py -> build/lib.linux-i686-2.4/OpenGL/GLX/ARB
creating build/lib.linux-i686-2.4/OpenGL/GLU
creating build/lib.linux-i686-2.4/OpenGL/GLU/SGI
copying OpenGL/GLU/SGI/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GLU/SGI
creating build/lib.linux-i686-2.4/OpenGL/GLU/EXT
copying OpenGL/GLU/EXT/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GLU/EXT
copying OpenGL/GLU/EXT/nurbs_tessellator.py -> build/lib.linux-i686-2.4/OpenGL/GLU/EXT
copying OpenGL/GLU/EXT/object_space_tess.py -> build/lib.linux-i686-2.4/OpenGL/GLU/EXT
creating build/lib.linux-i686-2.4/OpenGL/GL
creating build/lib.linux-i686-2.4/OpenGL/GL/_3DFX
copying OpenGL/GL/_3DFX/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/_3DFX
copying OpenGL/GL/_3DFX/multisample.py -> build/lib.linux-i686-2.4/OpenGL/GL/_3DFX
copying OpenGL/GL/_3DFX/texture_compression_FXT1.py -> build/lib.linux-i686-2.4/OpenGL/GL/_3DFX
creating build/lib.linux-i686-2.4/OpenGL/GL/WIN
copying OpenGL/GL/WIN/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/WIN
copying OpenGL/GL/WIN/phong_shading.py -> build/lib.linux-i686-2.4/OpenGL/GL/WIN
copying OpenGL/GL/WIN/specular_fog.py -> build/lib.linux-i686-2.4/OpenGL/GL/WIN
creating build/lib.linux-i686-2.4/OpenGL/GL/SUNX
copying OpenGL/GL/SUNX/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/SUNX
creating build/lib.linux-i686-2.4/OpenGL/GL/SUN
copying OpenGL/GL/SUN/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/SUN
copying OpenGL/GL/SUN/convolution_border_modes.py -> build/lib.linux-i686-2.4/OpenGL/GL/SUN
creating build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/async_histogram.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/async_pixel.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/blend_alpha_minmax.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/clipmap.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/depth_texture.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/fog_offset.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/interlace.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/ir_instrument1.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/pixel_texture_bits.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/resample.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/shadow.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/shadow_ambient.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/texture_env_add.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/texture_lod_bias.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/texture_multi_buffer.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/texture_range.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/texture_scale_bias.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/vertex_preclip.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
copying OpenGL/GL/SGIX/ycrcb.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIX
creating build/lib.linux-i686-2.4/OpenGL/GL/SGIS
copying OpenGL/GL/SGIS/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIS
copying OpenGL/GL/SGIS/generate_mipmap.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIS
copying OpenGL/GL/SGIS/texture_border_clamp.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIS
copying OpenGL/GL/SGIS/texture_edge_clamp.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIS
copying OpenGL/GL/SGIS/texture_lod.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIS
copying OpenGL/GL/SGIS/texture_select.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGIS
creating build/lib.linux-i686-2.4/OpenGL/GL/SGI
copying OpenGL/GL/SGI/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGI
copying OpenGL/GL/SGI/color_matrix.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGI
copying OpenGL/GL/SGI/texture_color_table.py -> build/lib.linux-i686-2.4/OpenGL/GL/SGI
creating build/lib.linux-i686-2.4/OpenGL/GL/S3
copying OpenGL/GL/S3/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/S3
copying OpenGL/GL/S3/s3tc.py -> build/lib.linux-i686-2.4/OpenGL/GL/S3
creating build/lib.linux-i686-2.4/OpenGL/GL/REND
copying OpenGL/GL/REND/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/REND
copying OpenGL/GL/REND/screen_coordinates.py -> build/lib.linux-i686-2.4/OpenGL/GL/REND
creating build/lib.linux-i686-2.4/OpenGL/GL/PGI
copying OpenGL/GL/PGI/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/PGI
copying OpenGL/GL/PGI/vertex_hints.py -> build/lib.linux-i686-2.4/OpenGL/GL/PGI
creating build/lib.linux-i686-2.4/OpenGL/GL/OML
copying OpenGL/GL/OML/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/OML
copying OpenGL/GL/OML/interlace.py -> build/lib.linux-i686-2.4/OpenGL/GL/OML
copying OpenGL/GL/OML/resample.py -> build/lib.linux-i686-2.4/OpenGL/GL/OML
copying OpenGL/GL/OML/subsample.py -> build/lib.linux-i686-2.4/OpenGL/GL/OML
creating build/lib.linux-i686-2.4/OpenGL/GL/NV
copying OpenGL/GL/NV/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/NV
copying OpenGL/GL/NV/blend_square.py -> build/lib.linux-i686-2.4/OpenGL/GL/NV
copying OpenGL/GL/NV/fog_distance.py -> build/lib.linux-i686-2.4/OpenGL/GL/NV
copying OpenGL/GL/NV/light_max_exponent.py -> build/lib.linux-i686-2.4/OpenGL/GL/NV
copying OpenGL/GL/NV/packed_depth_stencil.py -> build/lib.linux-i686-2.4/OpenGL/GL/NV
copying OpenGL/GL/NV/texgen_emboss.py -> build/lib.linux-i686-2.4/OpenGL/GL/NV
copying OpenGL/GL/NV/texgen_reflection.py -> build/lib.linux-i686-2.4/OpenGL/GL/NV
copying OpenGL/GL/NV/texture_compression_vtc.py -> build/lib.linux-i686-2.4/OpenGL/GL/NV
copying OpenGL/GL/NV/texture_env_combine4.py -> build/lib.linux-i686-2.4/OpenGL/GL/NV
copying OpenGL/GL/NV/texture_rectangle.py -> build/lib.linux-i686-2.4/OpenGL/GL/NV
copying OpenGL/GL/NV/texture_shader.py -> build/lib.linux-i686-2.4/OpenGL/GL/NV
copying OpenGL/GL/NV/texture_shader2.py -> build/lib.linux-i686-2.4/OpenGL/GL/NV
copying OpenGL/GL/NV/vertex_array_range2.py -> build/lib.linux-i686-2.4/OpenGL/GL/NV
creating build/lib.linux-i686-2.4/OpenGL/GL/MESA
copying OpenGL/GL/MESA/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/MESA
creating build/lib.linux-i686-2.4/OpenGL/GL/KTX
copying OpenGL/GL/KTX/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/KTX
creating build/lib.linux-i686-2.4/OpenGL/GL/INTEL
copying OpenGL/GL/INTEL/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/INTEL
creating build/lib.linux-i686-2.4/OpenGL/GL/INGR
copying OpenGL/GL/INGR/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/INGR
copying OpenGL/GL/INGR/color_clamp.py -> build/lib.linux-i686-2.4/OpenGL/GL/INGR
copying OpenGL/GL/INGR/interlace_read.py -> build/lib.linux-i686-2.4/OpenGL/GL/INGR
creating build/lib.linux-i686-2.4/OpenGL/GL/IBM
copying OpenGL/GL/IBM/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/IBM
copying OpenGL/GL/IBM/cull_vertex.py -> build/lib.linux-i686-2.4/OpenGL/GL/IBM
copying OpenGL/GL/IBM/pixel_transform_color_table.py -> build/lib.linux-i686-2.4/OpenGL/GL/IBM
copying OpenGL/GL/IBM/rasterpos_clip.py -> build/lib.linux-i686-2.4/OpenGL/GL/IBM
copying OpenGL/GL/IBM/texture_mirrored_repeat.py -> build/lib.linux-i686-2.4/OpenGL/GL/IBM
creating build/lib.linux-i686-2.4/OpenGL/GL/HP
copying OpenGL/GL/HP/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/HP
copying OpenGL/GL/HP/convolution_border_modes.py -> build/lib.linux-i686-2.4/OpenGL/GL/HP
copying OpenGL/GL/HP/occlusion_test.py -> build/lib.linux-i686-2.4/OpenGL/GL/HP
copying OpenGL/GL/HP/texture_lighting.py -> build/lib.linux-i686-2.4/OpenGL/GL/HP
creating build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/_422_pixels.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/abgr.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/bgra.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/blend_logic_op.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/blend_subtract.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/clip_volume_hint.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/cmyka.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/index_array_formats.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/index_texture.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/misc_attribute.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/packed_pixels.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/rescale_normal.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/separate_specular_color.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/shared_texture_palette.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/stencil_wrap.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_compression_s3tc.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_cube_map.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_env_add.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_env_combine.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_env_dot3.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_filter_anisotropic.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_lod.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
copying OpenGL/GL/EXT/texture_lod_bias.py -> build/lib.linux-i686-2.4/OpenGL/GL/EXT
creating build/lib.linux-i686-2.4/OpenGL/GL/Autodesk
copying OpenGL/GL/Autodesk/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/Autodesk
copying OpenGL/GL/Autodesk/bgra_colors.py -> build/lib.linux-i686-2.4/OpenGL/GL/Autodesk
creating build/lib.linux-i686-2.4/OpenGL/GL/ATI
copying OpenGL/GL/ATI/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/ATI
copying OpenGL/GL/ATI/texture_mirror_once.py -> build/lib.linux-i686-2.4/OpenGL/GL/ATI
creating build/lib.linux-i686-2.4/OpenGL/GL/ARB
copying OpenGL/GL/ARB/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/ARB
copying OpenGL/GL/ARB/texture_border_clamp.py -> build/lib.linux-i686-2.4/OpenGL/GL/ARB
copying OpenGL/GL/ARB/texture_cube_map.py -> build/lib.linux-i686-2.4/OpenGL/GL/ARB
copying OpenGL/GL/ARB/texture_env_add.py -> build/lib.linux-i686-2.4/OpenGL/GL/ARB
copying OpenGL/GL/ARB/texture_env_combine.py -> build/lib.linux-i686-2.4/OpenGL/GL/ARB
copying OpenGL/GL/ARB/texture_env_crossbar.py -> build/lib.linux-i686-2.4/OpenGL/GL/ARB
copying OpenGL/GL/ARB/texture_env_dot3.py -> build/lib.linux-i686-2.4/OpenGL/GL/ARB
creating build/lib.linux-i686-2.4/OpenGL/GL/APPLE
copying OpenGL/GL/APPLE/__init__.py -> build/lib.linux-i686-2.4/OpenGL/GL/APPLE
copying OpenGL/GL/APPLE/specular_vector.py -> build/lib.linux-i686-2.4/OpenGL/GL/APPLE
copying OpenGL/GL/APPLE/transform_hint.py -> build/lib.linux-i686-2.4/OpenGL/GL/APPLE
package init file 'OpenGL/Demo/twburton/__init__.py' not found (or not a regular file)
creating build/lib.linux-i686-2.4/OpenGL/Demo
creating build/lib.linux-i686-2.4/OpenGL/Demo/twburton
package init file 'OpenGL/Demo/tom/__init__.py' not found (or not a regular file)
creating build/lib.linux-i686-2.4/OpenGL/Demo/tom
copying OpenGL/Demo/tom/logo.py -> build/lib.linux-i686-2.4/OpenGL/Demo/tom
package init file 'OpenGL/Demo/simple/__init__.py' not found (or not a regular file)
creating build/lib.linux-i686-2.4/OpenGL/Demo/simple
package init file 'OpenGL/Demo/redbook/__init__.py' not found (or not a regular file)
creating build/lib.linux-i686-2.4/OpenGL/Demo/redbook
package init file 'OpenGL/Demo/dek/__init__.py' not found (or not a regular file)
creating build/lib.linux-i686-2.4/OpenGL/Demo/dek
copying OpenGL/Demo/dek/PILNumeric.py -> build/lib.linux-i686-2.4/OpenGL/Demo/dek
package init file 'OpenGL/Demo/dek/OglSurface/__init__.py' not found (or not a regular file)
creating build/lib.linux-i686-2.4/OpenGL/Demo/dek/OglSurface
copying OpenGL/Demo/dek/OglSurface/Geometry.py -> build/lib.linux-i686-2.4/OpenGL/Demo/dek/OglSurface
copying OpenGL/Demo/dek/OglSurface/NumericPDB.py -> build/lib.linux-i686-2.4/OpenGL/Demo/dek/OglSurface
copying OpenGL/Demo/dek/OglSurface/OglFrame.py -> build/lib.linux-i686-2.4/OpenGL/Demo/dek/OglSurface
copying OpenGL/Demo/dek/OglSurface/triangle.py -> build/lib.linux-i686-2.4/OpenGL/Demo/dek/OglSurface
package init file 'OpenGL/Demo/da/__init__.py' not found (or not a regular file)
creating build/lib.linux-i686-2.4/OpenGL/Demo/da
package init file 'OpenGL/Demo/NeHe/__init__.py' not found (or not a regular file)
creating build/lib.linux-i686-2.4/OpenGL/Demo/NeHe
package init file 'OpenGL/Demo/GLUT/examples/__init__.py' not found (or not a regular file)
creating build/lib.linux-i686-2.4/OpenGL/Demo/GLUT
creating build/lib.linux-i686-2.4/OpenGL/Demo/GLUT/examples
package init file 'OpenGL/Demo/GLE/__init__.py' not found (or not a regular file)
creating build/lib.linux-i686-2.4/OpenGL/Demo/GLE
package init file 'OpenGL/scripts/__init__.py' not found (or not a regular file)
creating build/lib.linux-i686-2.4/OpenGL/scripts
package init file 'OpenGL/Demo/twburton/__init__.py' not found (or not a regular file)
package init file 'OpenGL/Demo/tom/__init__.py' not found (or not a regular file)
package init file 'OpenGL/Demo/simple/__init__.py' not found (or not a regular file)
package init file 'OpenGL/Demo/redbook/__init__.py' not found (or not a regular file)
package init file 'OpenGL/Demo/dek/__init__.py' not found (or not a regular file)
package init file 'OpenGL/Demo/dek/OglSurface/__init__.py' not found (or not a regular file)
package init file 'OpenGL/Demo/da/__init__.py' not found (or not a regular file)
package init file 'OpenGL/Demo/NeHe/__init__.py' not found (or not a regular file)
package init file 'OpenGL/Demo/GLUT/examples/__init__.py' not found (or not a regular file)
package init file 'OpenGL/Demo/GLE/__init__.py' not found (or not a regular file)
package init file 'OpenGL/scripts/__init__.py' not found (or not a regular file)
running build_clib
building 'interface_util' library
creating build/temp.linux-i686-2.4
creating build/temp.linux-i686-2.4/src
creating build/temp.linux-i686-2.4/src/interface_util
i686-pc-linux-gnu-gcc -pthread -fno-strict-aliasing -DNDEBUG -O2 -march=athlon-xp -fomit-frame-pointer -fPIC -DGLX_PLATFORM -DNUMERIC -I/usr/include/python2.4 -I/usr/include -I/usr/local/include -I/usr/X11R6/include -I/usr/lib/tk8.4/include -I/usr/include/python2.4/numarray -I/usr/include/python2.4/Numeric -Isrc/gle/src -I/usr/include -I/usr/local/include -I/usr/X11R6/include -I/usr/lib/tk8.4/include -I/usr/include/python2.4/numarray -I/usr/include/python2.4/Numeric -Isrc/gle/src -c src/interface_util/interface_util.c -o build/temp.linux-i686-2.4/src/interface_util/interface_util.o
In file included from /usr/include/python2.4/numarray/arrayobject.h:20,
                 from src/interface_util/../config.h:124,
                 from src/interface_util/interface_util.c:2:
/usr/include/python2.4/numarray/arraybase.h:27: error: two or more data types in declaration specifiers
/usr/include/python2.4/numarray/arraybase.h:27: warning: useless type name in empty declaration
error: command 'i686-pc-linux-gnu-gcc' failed with exit status 1

!!! ERROR: dev-python/pyopengl-2.0.0.44 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_compile
  ebuild.sh, line 939:   Called src_compile
  ebuild.sh, line 1248:   Called distutils_src_compile
  distutils.eclass, line 38:   Called die

!!! compilation failed
!!! If you need support, post the topmost build error, and the call stack if relevant.


Emerging swig and mesa didn't help. I can't really find what causes the error here, so I'd be grateful for any hints...

Cheers
Philipp
_________________
" ... and the Vogon will do things to you that you wish you'd never been born, or, if you're a clearer minded thinker, that the Vogon had never been born."
Back to top
View user's profile Send private message
aldraia
n00b
n00b


Joined: 10 Jul 2006
Posts: 16

PostPosted: Mon Sep 11, 2006 1:29 pm    Post subject: Reply with quote

I think that my error is simplier, but i can't fix it. I tried to reemerge mesa, swig, eselect, changed eselct to nvidia, reemerged python, and i'm still having the same error.

Code:

>>> Emerging (1 of 1) dev-python/pyopengl-2.0.1.09 to /
 * PyOpenGL-2.0.1.09.tar.gz MD5 ;-) ...                                   [ ok ]
 * PyOpenGL-2.0.1.09.tar.gz RMD160 ;-) ...                                [ ok ]
 * PyOpenGL-2.0.1.09.tar.gz SHA1 ;-) ...                                  [ ok ]
 * PyOpenGL-2.0.1.09.tar.gz SHA256 ;-) ...                                [ ok ]
 * PyOpenGL-2.0.1.09.tar.gz size ;-) ...                                  [ ok ]
 * checking ebuild checksums ;-) ...                                      [ ok ]
 * checking auxfile checksums ;-) ...                                     [ ok ]
 * checking miscfile checksums ;-) ...                                    [ ok ]
 * checking PyOpenGL-2.0.1.09.tar.gz ;-) ...                              [ ok ]
>>> Unpacking source...
>>> Unpacking PyOpenGL-2.0.1.09.tar.gz to /var/tmp/portage/pyopengl-2.0.1.09/work

!!! ERROR: dev-python/pyopengl-2.0.1.09 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_unpack
  ebuild.sh, line 708:   Called src_unpack
  pyopengl-2.0.1.09.ebuild, line 32:   Called built_with_use 'dev-lang/python' 'tcltk'
  eutils.eclass, line 1605:   Called die

!!! dev-lang/python-2.4.3-r3 does not actually support the tcltk USE flag!
!!! If you need support, post the topmost build error, and the call stack if relevant.


Can someone help me???
thanks.
Back to top
View user's profile Send private message
stivani
n00b
n00b


Joined: 19 Mar 2006
Posts: 9
Location: Belgium

PostPosted: Mon Sep 11, 2006 2:23 pm    Post subject: Reply with quote

aldraia wrote:
I think that my error is simplier, but i can't fix it. I tried to reemerge mesa, swig, eselect, changed eselct to nvidia, reemerged python, and i'm still having the same error.

Code:

>>> Emerging (1 of 1) dev-python/pyopengl-2.0.1.09 to /
 * PyOpenGL-2.0.1.09.tar.gz MD5 ;-) ...                                   [ ok ]
 * PyOpenGL-2.0.1.09.tar.gz RMD160 ;-) ...                                [ ok ]
 * PyOpenGL-2.0.1.09.tar.gz SHA1 ;-) ...                                  [ ok ]
 * PyOpenGL-2.0.1.09.tar.gz SHA256 ;-) ...                                [ ok ]
 * PyOpenGL-2.0.1.09.tar.gz size ;-) ...                                  [ ok ]
 * checking ebuild checksums ;-) ...                                      [ ok ]
 * checking auxfile checksums ;-) ...                                     [ ok ]
 * checking miscfile checksums ;-) ...                                    [ ok ]
 * checking PyOpenGL-2.0.1.09.tar.gz ;-) ...                              [ ok ]
>>> Unpacking source...
>>> Unpacking PyOpenGL-2.0.1.09.tar.gz to /var/tmp/portage/pyopengl-2.0.1.09/work

!!! ERROR: dev-python/pyopengl-2.0.1.09 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_unpack
  ebuild.sh, line 708:   Called src_unpack
  pyopengl-2.0.1.09.ebuild, line 32:   Called built_with_use 'dev-lang/python' 'tcltk'
  eutils.eclass, line 1605:   Called die

!!! dev-lang/python-2.4.3-r3 does not actually support the tcltk USE flag!
!!! If you need support, post the topmost build error, and the call stack if relevant.


Can someone help me???
thanks.


I have exactly the same error.
Back to top
View user's profile Send private message
gtfx123
n00b
n00b


Joined: 17 Apr 2005
Posts: 23

PostPosted: Tue Sep 12, 2006 12:57 pm    Post subject: Reply with quote

i had same problem .. pyopengl failing with message about 'tcltk' not valid use flag for python 2.4.3.-r1. Following steps worked for me
a) vi path/to/$pyopengl-ebuild (u will find the file name in the error message)
b) look for the line about python & tcltk .. change tcltk to tk
c) ebuild /path/to/pyopengl_ebuild_file digest
d) emerge --resume

worked for me. u may need to do USE="-tk" emerge python.

YMMV .. apologies if instructions are not verbose enough!
Back to top
View user's profile Send private message
bubbl07
Apprentice
Apprentice


Joined: 06 Feb 2005
Posts: 236
Location: New York City

PostPosted: Tue Sep 12, 2006 6:17 pm    Post subject: Reply with quote

gtfx123 wrote:
i had same problem .. pyopengl failing with message about 'tcltk' not valid use flag for python 2.4.3.-r1. Following steps worked for me
a) vi path/to/$pyopengl-ebuild (u will find the file name in the error message)
b) look for the line about python & tcltk .. change tcltk to tk
c) ebuild /path/to/pyopengl_ebuild_file digest
d) emerge --resume

worked for me. u may need to do USE="-tk" emerge python.

YMMV .. apologies if instructions are not verbose enough!


Worked like a charm for me. I "emerge -vp python" and didn't see the tcltk USE flag so I figured there may have been something wrong with the ebuild.

Thank you.
Back to top
View user's profile Send private message
Dominique_71
Veteran
Veteran


Joined: 17 Aug 2005
Posts: 1507
Location: Switzerland (Romandie)

PostPosted: Wed Sep 13, 2006 12:28 pm    Post subject: Reply with quote

Very funny, on a fresh 2006.1 install, I get the same error but portage was complaining about a tk flag. It was necessary to change tk in tcltk in the ebuild to get it to work.
_________________
[[[ To any NSA and FBI agents reading that text: please consider ]]]
[[[ whether defending the US Constitution against all enemies, ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]
Back to top
View user's profile Send private message
zAfi
Apprentice
Apprentice


Joined: 08 Aug 2006
Posts: 220
Location: Austria

PostPosted: Wed Sep 13, 2006 2:29 pm    Post subject: Reply with quote

gtfx123 wrote:
i had same problem .. pyopengl failing with message about 'tcltk' not valid use flag for python 2.4.3.-r1. Following steps worked for me
a) vi path/to/$pyopengl-ebuild (u will find the file name in the error message)
b) look for the line about python & tcltk .. change tcltk to tk
c) ebuild /path/to/pyopengl_ebuild_file digest
d) emerge --resume

worked for me. u may need to do USE="-tk" emerge python.

YMMV .. apologies if instructions are not verbose enough!


worked for me as well!! :D :D I encountered this error-message when I was emerging gimp. It seems like an ebuild-error (python has no tcltk-use flag! Is it worth for bugzilla??
_________________
Gentoo 2008.0/desktop | Kernel: 2.6.27-tuxonice | Arch: amd64 | KDE 3.5.9 | WU Wien |
----------
Share your kernel information @ http://klive.cpushare.com/
Back to top
View user's profile Send private message
djpearman
n00b
n00b


Joined: 19 Jul 2005
Posts: 40
Location: UK

PostPosted: Wed Sep 13, 2006 3:59 pm    Post subject: Reply with quote

aldraia wrote:
I think that my error is simplier, but i can't fix it. I tried to reemerge mesa, swig, eselect, changed eselct to nvidia, reemerged python, and i'm still having the same error.

Code:

>>> Emerging (1 of 1) dev-python/pyopengl-2.0.1.09 to /
 * PyOpenGL-2.0.1.09.tar.gz MD5 ;-) ...                                   [ ok ]
 * PyOpenGL-2.0.1.09.tar.gz RMD160 ;-) ...                                [ ok ]
 * PyOpenGL-2.0.1.09.tar.gz SHA1 ;-) ...                                  [ ok ]
 * PyOpenGL-2.0.1.09.tar.gz SHA256 ;-) ...                                [ ok ]
 * PyOpenGL-2.0.1.09.tar.gz size ;-) ...                                  [ ok ]
 * checking ebuild checksums ;-) ...                                      [ ok ]
 * checking auxfile checksums ;-) ...                                     [ ok ]
 * checking miscfile checksums ;-) ...                                    [ ok ]
 * checking PyOpenGL-2.0.1.09.tar.gz ;-) ...                              [ ok ]
>>> Unpacking source...
>>> Unpacking PyOpenGL-2.0.1.09.tar.gz to /var/tmp/portage/pyopengl-2.0.1.09/work

!!! ERROR: dev-python/pyopengl-2.0.1.09 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_unpack
  ebuild.sh, line 708:   Called src_unpack
  pyopengl-2.0.1.09.ebuild, line 32:   Called built_with_use 'dev-lang/python' 'tcltk'
  eutils.eclass, line 1605:   Called die

!!! dev-lang/python-2.4.3-r3 does not actually support the tcltk USE flag!
!!! If you need support, post the topmost build error, and the call stack if relevant.


Can someone help me???
thanks.


I had the same problem and solved it by altering the pyopengl ebuild as suggested by gtfx123. Emerged fine after that. Maybe there's been a change in USE flags from tk to tcltk that hasn't made it into all ebuilds yet?
_________________
Laptop: PowerBook G4 Titanium 500 MHz 768MB ppc
Desktop: Athlon 2500+ 1GB Asus A7V600 ~x86
Desktop: Athlon64 3000+ Venice 2GB Asus A8V Deluxe ~amd64
Back to top
View user's profile Send private message
BobaFett
n00b
n00b


Joined: 14 Sep 2006
Posts: 1

PostPosted: Thu Sep 14, 2006 6:05 pm    Post subject: Reply with quote

Dominique_71 wrote:
Very funny, on a fresh 2006.1 install, I get the same error but portage was complaining about a tk flag. It was necessary to change tk in tcltk in the ebuild to get it to work.



had to do the same here on a new install also. Weird lil bug Thanks for the post, I probably wouldnt have tried to switch it back
Back to top
View user's profile Send private message
jafar00
n00b
n00b


Joined: 02 Sep 2004
Posts: 58
Location: Cairo, Egypt

PostPosted: Fri Sep 15, 2006 9:35 pm    Post subject: Reply with quote

Funny. On a fresh 2006.1 64bit install I had to edit the ebuild and change

Code:
if built_with_use dev-lang/python tk; then


to

Code:
if built_with_use dev-lang/python tcltk; then


The other way around basically lol
_________________
You're twistin' my melon man!
Back to top
View user's profile Send private message
nickthecook
n00b
n00b


Joined: 13 Sep 2006
Posts: 12

PostPosted: Sat Sep 16, 2006 11:52 am    Post subject: PyOpenGL won't emerge Reply with quote

I've got a problem with a fresh 2006.1 install. "emerge pyopengl" dies right after applying the second patch:

Code:

krypton ~ # emerge pyopengl
Calculating dependencies... done!
>>> Emerging (1 of 1) dev-python/pyopengl-2.0.0.44 to /
>>> checking ebuild checksums ;-)
>>> checking auxfile checksums ;-)
>>> checking miscfile checksums ;-)
>>> checking PyOpenGL-2.0.0.44.tar.gz ;-)
>>> Unpacking source...
>>> Unpacking PyOpenGL-2.0.0.44.tar.gz to /var/tmp/portage/pyopengl-2.0.0.44/work
 * Applying config.diff ...                                                                                               [ ok ]
 * Applying pyopengl-2.0.0.44-fix_togl.patch ...                                                                          [ ok ]
!!! ERROR: dev-python/pyopengl-2.0.0.44 failed.
Call stack:
ebuild.sh, line 1539:   Called dyn_unpack
ebuild.sh, line 711:   Called src_unpack
pyopengl-2.0.0.44.ebuild, line 34:   Called built_with_use 'dev-lang/python' 'tk'
eutils.eclass, line 1614:   Called die

!!! dev-lang/python-2.4.3-r1 does not actually support the tk USE flag!
!!! If you need support, post the topmost build error, and the call stack if relevant.
Back to top
View user's profile Send private message
Dominique_71
Veteran
Veteran


Joined: 17 Aug 2005
Posts: 1507
Location: Switzerland (Romandie)

PostPosted: Sat Sep 16, 2006 3:15 pm    Post subject: Re: PyOpenGL won't emerge Reply with quote

nickthecook wrote:
I've got a problem with a fresh 2006.1 install. "emerge pyopengl" dies right after applying the second patch:

Code:

krypton ~ # emerge pyopengl
Calculating dependencies... done!
>>> Emerging (1 of 1) dev-python/pyopengl-2.0.0.44 to /
>>> checking ebuild checksums ;-)
>>> checking auxfile checksums ;-)
>>> checking miscfile checksums ;-)
>>> checking PyOpenGL-2.0.0.44.tar.gz ;-)
>>> Unpacking source...
>>> Unpacking PyOpenGL-2.0.0.44.tar.gz to /var/tmp/portage/pyopengl-2.0.0.44/work
 * Applying config.diff ...                                                                                               [ ok ]
 * Applying pyopengl-2.0.0.44-fix_togl.patch ...                                                                          [ ok ]
!!! ERROR: dev-python/pyopengl-2.0.0.44 failed.
Call stack:
ebuild.sh, line 1539:   Called dyn_unpack
ebuild.sh, line 711:   Called src_unpack
pyopengl-2.0.0.44.ebuild, line 34:   Called built_with_use 'dev-lang/python' 'tk'
eutils.eclass, line 1614:   Called die

!!! dev-lang/python-2.4.3-r1 does not actually support the tk USE flag!
!!! If you need support, post the topmost build error, and the call stack if relevant.

Re-read this thread, make the change in the ebuild and run
Code:
ebuild pyopengl-2.0.0.44 digest
and emerge must work.

EDIT:
I filled a bug repport: http://bugs.gentoo.org/show_bug.cgi?id=147809
_________________
[[[ To any NSA and FBI agents reading that text: please consider ]]]
[[[ whether defending the US Constitution against all enemies, ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]
Back to top
View user's profile Send private message
Dominique_71
Veteran
Veteran


Joined: 17 Aug 2005
Posts: 1507
Location: Switzerland (Romandie)

PostPosted: Sat Sep 16, 2006 5:20 pm    Post subject: Reply with quote

Well, I get the answer from a developper. It is on the bug's page.
Quote:
No, re-emerge python, the check is correct. There's no tcltk use flag for
python, it's been changed to tk. (Just run emerge -NuDpv world to check).

So, the right solution is to re-emerge python. Maybe at an emerge -NuDp world is a good thing to do.
_________________
[[[ To any NSA and FBI agents reading that text: please consider ]]]
[[[ whether defending the US Constitution against all enemies, ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]
Back to top
View user's profile Send private message
cjflux
n00b
n00b


Joined: 19 Aug 2004
Posts: 5
Location: Oxfordshire, UK

PostPosted: Mon Sep 18, 2006 9:37 am    Post subject: Reply with quote

Dominique_71 wrote:
Well, I get the answer from a developper. It is on the bug's page.
Quote:
No, re-emerge python, the check is correct. There's no tcltk use flag for
python, it's been changed to tk. (Just run emerge -NuDpv world to check).

So, the right solution is to re-emerge python. Maybe at an emerge -NuDp world is a good thing to do.


Yup! Worked for me. Fresh install of 2006.1 and pyopengl refused to compile. Recompiling python shows it you're not someone to be messed with and pyopengl will then behave. :)
_________________
Beauty is in the eye of the beholder. Get it out with Optrex!
Back to top
View user's profile Send private message
jewdan
n00b
n00b


Joined: 11 Jan 2006
Posts: 16

PostPosted: Fri Sep 22, 2006 2:36 pm    Post subject: Reply with quote

I need to change tk to tcltk but how do I get around the checksum? The emerge fails because I changed the size of the ebuild file.

Edit: Nevermind. Read the thread closely. :oops:
Back to top
View user's profile Send private message
Abany
n00b
n00b


Joined: 01 Oct 2006
Posts: 2

PostPosted: Sun Oct 01, 2006 7:17 pm    Post subject: Emerging dev-python/pyopengl error (a noob needs help) Reply with quote

Hello guys,
I am really noob installing Gentoo...so i am using the "Gentoo Linux Installer (GTK+)" and during the installation the folowing error appears on the output Tab:

Code:

!!! ERROR: dev-python/pyopengl-2.0.0.44 failed.
Call stack:
ebuild.sh, line 1539:   Called dyn_unpack
ebuild.sh, line 711:   Called src_unpack
pyopengl-2.0.0.44.ebuild, line 34:   Called built_with_use 'dev-lang/python' 'tk'
eutils.eclass, line 1614:   Called die

!!! dev-lang/python-2.4.3-r1 does not actually support the tk USE flag!
!!! If you need support, post the topmost build error, and the call stack if relevant.


I know you have found the solution for this error, but i dont know how to do this:

Quote:

i had same problem .. pyopengl failing with message about 'tcltk' not valid use flag for python 2.4.3.-r1. Following steps worked for me
a) vi path/to/$pyopengl-ebuild (u will find the file name in the error message)
b) look for the line about python & tcltk .. change tcltk to tk
c) ebuild /path/to/pyopengl_ebuild_file digest
d) emerge --resume

worked for me. u may need to do USE="-tk" emerge python.

YMMV .. apologies if instructions are not verbose enough!


Should I leave the Gentoo Linux Installer?
Or what steps do i need to follow?

This is my first time installing Gentoo and this error is a little frustrating hehe.

My Processor is:
AMD Athlon(tm) 64 Processor 3200+

and i am installing:
Gentoo 2006.1 LiveDVD for amd64.

Any help is greatly appreciated. =)
Thank you.[/code]
Back to top
View user's profile Send private message
Dominique_71
Veteran
Veteran


Joined: 17 Aug 2005
Posts: 1507
Location: Switzerland (Romandie)

PostPosted: Sun Oct 01, 2006 8:56 pm    Post subject: Reply with quote

It seam at this break the installation. The live cd install is for users that don't have internet acces. So if you have internet acces, you must download a stage 3 tarball and use it for the installation. Follow the regular handbook for that: http://www.gentoo.org/doc/en/handbook/index.xml

If you don't have internet acces, it is nothing else to do as to wait until this is fixed by the devs.

EDIT: Or maybe at you have an old version of this installer and it has been already fixed. The bug is marked as won't fix, but I just added a comment about your problem.

EDIT2: run
Code:
emerge --sync
emerge -NuDp world

_________________
[[[ To any NSA and FBI agents reading that text: please consider ]]]
[[[ whether defending the US Constitution against all enemies, ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]
Back to top
View user's profile Send private message
_easyrider_
Apprentice
Apprentice


Joined: 02 May 2003
Posts: 238
Location: Denmark

PostPosted: Wed Oct 11, 2006 12:47 pm    Post subject: Reply with quote

I have the same prob. when i try to install using the livecd...
Im running on a pentium4.

How do i work around this problem?.
How do i change from tcltk to tk in the ebuild?
Back to top
View user's profile Send private message
Dominique_71
Veteran
Veteran


Joined: 17 Aug 2005
Posts: 1507
Location: Switzerland (Romandie)

PostPosted: Wed Oct 11, 2006 2:35 pm    Post subject: Reply with quote

How do you get the livecd? Recently on the internet or with a linux newspaper?

I ask it because it is a bug report for this problem and it is marked as wont fix. Wrong tk use flag in pyopengl-2.0.0.44
Bur before at I ask to reopen this bug, I must to know more about it. With other words, is you livecd of the same version as the one on the internet today. As exemple, for my country and for the x86 arch, you will find the livecd on http://gentoo.mirror.solnet.ch/releases/x86/2006.1/livecd/ and it is from the 24 september 2006.

Or you can ask directly on the bug report, but provide as many explanations as possible.
_________________
[[[ To any NSA and FBI agents reading that text: please consider ]]]
[[[ whether defending the US Constitution against all enemies, ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]
Back to top
View user's profile Send private message
_easyrider_
Apprentice
Apprentice


Joined: 02 May 2003
Posts: 238
Location: Denmark

PostPosted: Wed Oct 11, 2006 3:27 pm    Post subject: Reply with quote

I downloaded it from this address http://mirror.uni-c.dk/pub/gentoo/releases/x86/2006.1/livecd/ and it's from sep 24 allso.
Back to top
View user's profile Send private message
Dominique_71
Veteran
Veteran


Joined: 17 Aug 2005
Posts: 1507
Location: Switzerland (Romandie)

PostPosted: Wed Oct 11, 2006 4:23 pm    Post subject: Reply with quote

Well, I added a comment on the bug report. We will see if it help.

In the maintime, you have no other thing to do as to wait, or use a stage 3 tarball if you have an internet access. The livecd is really for networkless installation, but if you have a network during the install, the normal install with a steage 3 is much better. You must follow the 2006 handbook, http://www.gentoo.org/doc/en/handbook/index.xml.

An alternative, is to install or use another linux distribution, knoopix as exemple, and follow this guide knoopix installation. The advantage with the knoopix install is at you can use the whole harddisk for gentoo. But if you allready have a linux distribution, and have at least one free partition, it is just to do the same and each time you see the word knoopix in this guide, you replace it by the name of your already installed distribution.
_________________
[[[ To any NSA and FBI agents reading that text: please consider ]]]
[[[ whether defending the US Constitution against all enemies, ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]
Back to top
View user's profile Send private message
_easyrider_
Apprentice
Apprentice


Joined: 02 May 2003
Posts: 238
Location: Denmark

PostPosted: Wed Oct 11, 2006 4:28 pm    Post subject: Reply with quote

It dosn't help to use the internet to download stage 3, im allready using the stage 3 from the internet. But i get the error anyway.
Back to top
View user's profile Send private message
Dominique_71
Veteran
Veteran


Joined: 17 Aug 2005
Posts: 1507
Location: Switzerland (Romandie)

PostPosted: Wed Oct 11, 2006 5:27 pm    Post subject: Reply with quote

_easyrider_ wrote:
It dosn't help to use the internet to download stage 3, im allready using the stage 3 from the internet. But i get the error anyway.

So, you already have a running system and an internet access. Why not tell that from the beginning. The livecd install is useful only with a networkless install.

You must do
Code:
emerge --sync
and follow this Maintaining Software in the handbook.
In short:
Code:
Code Listing 16: Removing orphaned dependencies

# emerge --update --deep --newuse world
# emerge --depclean
# revdep-rebuild
revdep-rebuild is provided by the gentoolkit package; don't forget to emerge it first:

Code Listing 17: Installing the gentoolkit package

Code:
# emerge gentoolkit


If after that, the problem remain, re-emerge python.
_________________
[[[ To any NSA and FBI agents reading that text: please consider ]]]
[[[ whether defending the US Constitution against all enemies, ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum